# DS_Map.h File Reference

`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "RakMemoryOverride.h"`
`#include "RakAssert.h"`

## Classes
class | DataStructures::Map< key_type, data_type, key_comparison_func >
## Namespaces
namespace | DataStructures
## Functions
template<class key_type >
int | DataStructures::defaultMapKeyComparison (const key_type &a, const key_type &b)

## Detailed Description